[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParams.ParamByName

Return a parameter by name

## Declaration

Source position: db.pas line 1227

`public function TParams.ParamByName(`
`const Value: String`
`):TParam;`

## Arguments

`Value` |  | Name to search for.

## Function result

TParam instance with Name equal to Value.

## Description

ParamByName searches the collection for the TParam instance with property Name equal to Value. It will return the last instance with the given name, and will only return one instance. If no match is found, an exception is raised.

Remark: | A TParams collection can have 2 TParam instances with the same name: no checking for duplicates is done.

## See also

TParam.Name |  | Name of the parameter
TParams.FindParam |  | Find a parameter with given name
TParams.GetParamList |  | Fetch a list of TParam instances

The latest version of this document can be found at lazarus-ccr.sourceforge.net .